Subject: Re: Marking abandoned branches

From: Jakub Narebski <[email-masked]>
Date: Wed, 13 Sep 2006 23:09:33 +0200

Junio C Hamano wrote:

> I'll try to code the one specified by the original strawman up
> sometime today; we can discuss enhancements after that.

I was thinking about implementing git-show-refs, "borrowing" format
parsing part from rpm (parseFormat function in rpmdb/header.c), but
what I had not found in core git was the function which parses object
into any_object like union; there is function which parses object,
but it extracts and returns only the common part as an object struct. 
And any_object union is local to object.c

I also thought that if format doesn't require object parsing (sha1id,
type, name and size we can get without parsing) then do not do parsing,
but I wonder if this is really worth it.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git